<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
   public function up(): void
{
    Schema::table('borrow_transactions', function (Blueprint $table) {
        if (!Schema::hasColumn('borrow_transactions', 'koleksi_id')) {
            $table->unsignedBigInteger('koleksi_id')->nullable()->after('anggota_id');
        }
    });
}

public function down(): void
{
    Schema::table('borrow_transactions', function (Blueprint $table) {
        if (Schema::hasColumn('borrow_transactions', 'koleksi_id')) {
            $table->dropColumn('koleksi_id');
        }
    });
}

};

